> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Instagram comment

> Remove a comment.



## OpenAPI

````yaml /en/instagram-api/api-reference/openapi-instagram.json delete /v1/instagram/comments/{commentId}
openapi: 3.0.3
info:
  title: Notifique API — Instagram
  version: 1.0.0
  description: >-
    Send Instagram DMs and manage connections. Authenticate with `Authorization:
    Bearer sk_live_...` or `x-api-key`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfIgBearerAuth: []
  - ntfIgApiKeyHeader: []
tags:
  - name: 'Instagram: instances'
    description: Criar, listar, desconectar e remover conexões Instagram.
  - name: 'Instagram: messages'
    description: Enviar, listar, editar, cancelar, apagar e inbound.
  - name: 'Instagram: comments'
    description: Listr, responder e moderar comentários.
  - name: 'Instagram: media'
    description: Recent account posts and media (automation triggers).
paths:
  /v1/instagram/comments/{commentId}:
    delete:
      tags:
        - 'Instagram: comentários'
      summary: Delete Instagram comment
      description: Remove a comment.
      operationId: ntfIg_deleteComment
      parameters:
        - name: commentId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Apagado.
          content:
            application/json:
              example:
                success: true
                data:
                  id: cmt_abc
                  deleted: true
              schema:
                $ref: '#/components/schemas/ntfIg_DeleteCommentResponse'
        '403':
          description: Sem escopo instagram:comments:moderate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
              example:
                success: false
                error: Bad Request
                code: VALIDATION_ERROR
                message: Campo inválido ou ausente.
        '404':
          description: No encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
              example:
                success: false
                error: Bad Request
                code: VALIDATION_ERROR
                message: Campo inválido ou ausente.
components:
  schemas:
    ntfIg_DeleteCommentResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            id:
              type: string
              example: cmt_abc
            deleted:
              type: boolean
              example: true
      example:
        success: true
        data:
          id: cmt_abc
          deleted: true
    NtfIg_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: true
        data:
          type: object
          additionalProperties: true
          properties:
            id:
              type: string
              example: inst_abc
            status:
              type: string
              example: PENDING
            active:
              type: boolean
              example: true
            dailyLimit:
              type: integer
              example: 15
            sentToday:
              type: integer
              example: 15
            daysRemaining:
              type: integer
              example: 4
        retryAfterSec:
          type: integer
          description: >-
            Segundos até poder tentar de novo (presente em 429 de cooldown/abuse
            pause).
      example:
        success: false
        error: string
        message: string
        code: string
        details: {}
        data: {}
        retryAfterSec: 1
  securitySchemes:
    ntfIgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_...'
    ntfIgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````